curl --request PUT \
--url /tenant/v1/contracts/6 \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {access_token}' \
--data '{
"start_date": "2024-06-07",
"end_date": "2024-06-07"
}'
Contracts
Update Contract
Update contract information
PUT
/
tenant
/
v1
/
contracts
/
{id}
curl --request PUT \
--url /tenant/v1/contracts/6 \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {access_token}' \
--data '{
"start_date": "2024-06-07",
"end_date": "2024-06-07"
}'
Path Parameters
integer
required
The ID of the contract to update
Headers
string
required
Must be “application/json”
Body
string
Contract start date (YYYY-MM-DD)
string
Contract end date (YYYY-MM-DD)
curl --request PUT \
--url /tenant/v1/contracts/6 \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {access_token}' \
--data '{
"start_date": "2024-06-07",
"end_date": "2024-06-07"
}'

